---
- name: Include installation mariadb
  include_tasks: common_install_mariadb.yml

- name: Include common security
  include_tasks: common_security.yml

- name: Include common mariadb configuration
  include_tasks: common_configuration.yml

- name: Include common mariadb configuration replication
  include_tasks: common_configuration_replication.yml
  when: mariadb_replication

- name: Configure master mariadb database
  include_tasks: master_config.yml
  when: mariadb_type == "master"

- name: Configure slave mariadb database
  include_tasks: slave_config.yml
  when: mariadb_type == "slave"

- name: Deploy SSL certificate
  include_tasks: common_configuration_ssl.yml
  when: mariadb_ssl

- name: Configure mariadb backup
  include_tasks: backup_config.yml
  when: mariadb_backup

- name: create database
  include_tasks: create_db.yml
  when: mariadb_db_user_in_file

- name: create database user
  include_tasks: create_user.yml
  when: mariadb_db_user_in_file
